<?php
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

    // Start session management
    $user->session_begin();
    $auth->acl($user->data);
    $user->setup('mods/ranks');

	page_header($user->lang['RANKS']);
	
	$template->set_filenames(array(
        'body' => 'ranks.html')
    );
	
	$sql_array = array(
                   'SELECT'   => '*',
                   'FROM'      => array(
                      RANKS_TABLE   => 'r'),
                   'ORDER_BY'   => 'rank_special DESC, rank_min ASC, rank_title ASC');

	$sql = $db->sql_build_query('SELECT', $sql_array);
	$result = $db->sql_query($sql);
				
		while ($row = $db->sql_fetchrow($result))
		{
			$template->assign_block_vars('ranks', array(
				'S_RANK_IMAGE'		=> ($row['rank_image']) ? true : false,
				'S_SPECIAL_RANK'	=> ($row['rank_special']) ? true : false,

				'RANK_IMAGE'		=> $phpbb_root_path . $config['ranks_path'] . '/' . $row['rank_image'],
				'RANK_TITLE'		=> $row['rank_title'],
				'MIN_POSTS'			=> $row['rank_min'],)

			);	
		}
		$db->sql_freeresult($result);
		
	page_footer();
?>